<?php
/**
* Assessment report controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: assessmentreport.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Assessment report controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckControllerAssessmentreport extends JControllerAdmin
{

	/**
	* Method to review the questions
	*
	* @return void
	*/
	public function assessmentquestions()
	{
		// Check for request forgeries.
		JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));

		$app = JFactory::getApplication();
		$assessment_id = $app->input->getInt('assessment_id', 0);

		$this->setRedirect(
			JRoute::_(
				'index.php?option=' . $this->option
				. '&view=assessmentquestions'
				. '&id='.$assessment_id,
				false
			)
		);

		return true;
	}

	/**
	* Method to go to the assessment header
	*
	* @return void
	*/
	public function assessment()
	{
		// Check for request forgeries.
		JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));

		$app = JFactory::getApplication();
		$assessment_id = $app->input->getInt('assessment_id', 0);

		$this->setRedirect(
			JRoute::_(
				'index.php?option=' . $this->option
				. '&task=assessment.edit'
				. '&id='.$assessment_id,
				false
			)
		);

		return true;
	}
}
