<?php
/**
* Assessments controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: assessments.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Assessments controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckControllerAssessments extends JControllerAdmin
{
	/**
	* Method to get a model object, loading it if required.
	*
	* @param string $name   The model name. Optional.
	* @param string $prefix The class prefix. Optional.
	* @param array  $config Configuration array for model. Optional.
	*
	* @return  object  The model.
	*/
	public function getModel(
		$name = 'Assessment',
		$prefix = 'RoughcheckModel',
		$config = array('ignore_request' => true)
	) {
		$model = parent::getModel($name, $prefix, $config);
		return $model;
	}

	/**
	* Redirects to Assessment questions
	*
	* @return bool Always true
	*/
	public function assessmentquestions()
	{
		// Initialise variables.
		$app = JFactory::getApplication();
		$cid = $this->input->post->get('cid', array(), 'array');

		// define the record identifier
		$urlVar = 'id';

		// Get the parent record id from either the toolbar (post) or link (get)
		$assessment_id	= (int) (count($cid) ? $cid[0] : $app->input->getInt($urlVar));

		$tmpl   = $app->input->getCmd('tmpl');
		$layout = $app->input->getCmd('layout', 'edit');
		$route  = 'index.php?option='.$this->option;
		$route .= '&view=assessmentquestions';

		// Setup redirect info.
		if ($tmpl) {
			$route .= '&tmpl='.$tmpl;
		}
		$route .= '&id='.$assessment_id;

		$this->setRedirect(JRoute::_($route, false));

		return true;
	}

	/**
	* Redirects to Assessment review
	*
	* @return bool Always true
	*/
	public function assessmentreport()
	{
		// Initialise variables.
		$app = JFactory::getApplication();
		$cid = $this->input->post->get('cid', array(), 'array');

		// define the record identifier
		$urlVar = 'id';

		// Get the parent record id from either the toolbar (post) or link (get)
		$assessment_id	= (int) (count($cid) ? $cid[0] : $app->input->getInt($urlVar));

		$tmpl   = $app->input->getCmd('tmpl');
		$layout = $app->input->getCmd('layout', 'edit');
		$route  = 'index.php?option='.$this->option;
		$route .= '&view=assessmentreport';

		// Setup redirect info.
		if ($tmpl) {
			$route .= '&tmpl='.$tmpl;
		}
		$route .= '&id='.$assessment_id;

		$this->setRedirect(JRoute::_($route, false));

		return true;
	}

}
