<?php
/**
* Checkhelp controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: checkhelp.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Checkhelp controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckControllerCheckhelp extends JControllerForm
{
	/**
	* Saved id
	*/
	private $_id;

	/**
	* Method to add a question help
	*
	* @return  Boolean True if item added succesfully, false otherwise.
	*/
	public function add()
	{
		$success = parent::add();

		if ($success) {
			$app = JFactory::getApplication();
			$question_id = $app->input->getInt('question_id', 0);
			$context = "$this->option.edit.$this->context";
			$app = JFactory::getApplication();
			$app->setUserState($context.'.question_id', $question_id);
		}

		return $success;
	}

	/**
	* Method to cancel an edit.
	*
	* @param string $key The name of the primary key of the URL variable.
	*
	* @return	Boolean	True if access level checks pass, false otherwise.
	*/
	public function cancel($key = null)
	{
		$success = parent::cancel($key);

		if ($success) {
			// Redirect to the question list
			$app = JFactory::getApplication();
			$data = $app->input->post->get('jform', array(), 'array');
			$id = $data['question_id'];
			$route = 'index.php?option='.$this->option;
			$route .= '&view='.$this->view_list;
			$tmpl   = $app->input->getCmd('tmpl');
			if ($tmpl) {
				$route .= '&tmpl=' . $tmpl;
			}
			if ($id) {
				$route .= '&id=' . $id;
			}
			$this->setRedirect(JRoute::_($route, false));
		}

		return $success;
	}

	/**
	* Function that allows child controller access to model data
	* after the data has been saved.
	*
	* @param RoughcheckModelCheckhelp &$model    The data model object.
	* @param array                    $validData The validated data.
	*
	* @return  void
	*/
	protected function postSaveHook(RoughcheckModelCheckhelp &$model, $validData = array())
	{
		$this->_id = $validData['id'];
	}

	/**
	* Method to save a record.
	*
	* @param string $key    The name of the primary key of the URL variable.
	* @param string $urlVar The name of the URL variable if different from the
	*                       primary key (sometimes required to avoid router
	*                       collisions).
	*
	* @return	Boolean	True if successful, false otherwise.
	*/
	public function save($key = null, $urlVar = null)
	{
		$success = parent::save($key, $urlVar);

		$task = $this->getTask();

		if ($success && $task == 'save') {
			$app = JFactory::getApplication();
			$data = $this->input->post->get('jform', array(), 'array');
			$id = $data['question_id'];
			$route = 'index.php?option='.$this->option;
			$route .= '&view='.$this->view_list;
			$tmpl   = $app->input->getCmd('tmpl');
			if ($tmpl) {
				$route .= '&tmpl=' . $tmpl;
			}
			if ($id) {
				$route .= '&id=' . $id;
			}
			$this->setRedirect(JRoute::_($route, false));
		}

		return $success;
	}
}
