<?php
/**
* Riskdetail controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: riskdetail.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Riskdetail controller
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckControllerRiskdetail extends JControllerForm
{
	/**
	* Saved risk_profile_id
	*/
	private $_risk_profile_id;

	/**
	* Method to add a Risk detail
	*
	* @return  Boolean True if item added succesfully, false otherwise.
	*/
	public function add()
	{
		$success = parent::add();

		if ($success) {
			// Redirect to the edit screen.
			$app = JFactory::getApplication();
			$id = $app->input->getInt('risk_profile_id', 0);
			$route = 'index.php?option='.$this->option;
			$route .= '&view='.$this->view_item;
			$route .= $this->getRedirectToItemAppend($id, 'risk_profile_id');
			$this->setRedirect(JRoute::_($route, false));
		}

		return $success;
	}

	/**
	* Method to cancel an edit.
	*
	* @param string $key The name of the primary key of the URL variable.
	*
	* @return	Boolean	True if access level checks pass, false otherwise.
	*/
	public function cancel($key = null)
	{
		$success = parent::cancel($key);

		if ($success) {
			// Redirect to the risks list
			$data = $this->input->post->get('jform', array(), 'array');
			$id = (int) $data['risk_profile_id'];
			$route = 'index.php?option='.$this->option;
			$route .= '&view='.$this->view_list;
			$route .= $this->getRedirectToItemAppend($id, 'id');
			$this->setRedirect(JRoute::_($route, false));
		}

		return $success;
	}

	/**
	* Function that allows child controller access to model data
	* after the data has been saved.
	*
	* @param RoughcheckModelRiskdetail &$model    The data model object.
	* @param array                     $validData The validated data.
	*
	* @return  void
	*/
	protected function postSaveHook(RoughcheckModelRiskdetail &$model, $validData = array())
	{
		$this->_risk_profile_id = $validData['risk_profile_id'];
	}

	/**
	* Method to save a record.
	*
	* @param string $key    The name of the primary key of the URL variable.
	* @param string $urlVar The name of the URL variable if different from the
	*                       primary key (sometimes required to avoid router
	*                       collisions).
	*
	* @return	Boolean	True if successful, false otherwise.
	*/
	public function save($key = null, $urlVar = null)
	{
		$success = parent::save($key, $urlVar);

		$task = $this->getTask();

		if ($success && $task == 'save') {
			$route = 'index.php?option='.$this->option;
			$route .= '&view='.$this->view_list;
			$route .= $this->getRedirectToItemAppend($this->_risk_profile_id, 'id');
			$this->setRedirect(JRoute::_($route, false));
		}

		return $success;
	}

}
