<?php
/**
* Check form field
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: checks.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

JFormHelper::loadFieldClass('list');

/**
* Check form field
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class JFormFieldChecks extends JFormFieldList
{
	/**
	 * The form field type.
	 * @var		string
	 */
	protected $type = 'Checks';

	/**
	* Method to get the field options.
	*
	* @return	array	The field option objects.
	*/
	protected function getOptions()
	{
		// Initialise variables.
		$options = array();

		try {
			$db = JFactory::getDbo();
			$query	= $db->getQuery(true);

			$query->select('a.id AS value, a.title AS text');
			$query->from('#__roughcheck_checks AS a');
			$query->join(
				'inner',
				'#__roughcheck_check_questions AS b '
				. 'ON a.id = b.check_id '
			);
			$query->where('a.state = 1');
			$query->where('b.state = 1');
			$query->group('a.id, a.title');
			$query->having('count(b.id) > 0');
			$query->order('a.ordering ASC');

			// Get the options.
			$db->setQuery($query);

			$options = $db->loadObjectList();

			if ($db->getErrorMsg()) {
				throw new Exception($db->getErrorMsg());
			}
		} catch (Exception $e) {
			JLog::add('Exception: '.$e->getMessage(), JLog::ERROR, COM_ROUGHCHECK);
			return false;
		}

		// Merge any additional options in the XML definition.
		$options = array_merge(parent::getOptions(), $options);

		return $options;
	}
}
