<?php
/**
* Help type form field
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: helptypes.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

JFormHelper::loadFieldClass('list');

/**
* Help type form field
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class JFormFieldHelptypes extends JFormFieldList
{
	/**
	 * The form field type.
	 * @var		string
	 */
	protected $type = 'Helptypes';

	/**
	* Method to get the field options.
	*
	* @return	array	The field option objects.
	*/
	protected function getOptions()
	{
		// Initialise variables.
		$options = array();

		try {
			$db = JFactory::getDbo();

			$id = $this->form->getValue('question_id', 0);

			$query	= $db->getQuery(true);
			$query->select('a.language');
			$query->from('#__roughcheck_checks AS a');
			$query->where('a.id = ' . $db->quote($id));
			$db->setQuery($query);
			$language = $db->loadResult();

			$query	= $db->getQuery(true);
			$query->select('a.id AS value, a.title AS text');
			$query->from('#__roughcheck_help_types AS a');
			$query->where('a.state = 1');
			$query->where(
				'a.language IN (' . $db->quote('*')	. ','
				.$db->quote($language)
				. ')'
			);
			$query->order('a.ordering DESC');
			$db->setQuery($query);

			// Get the options.
			$options = $db->loadObjectList();
			if ($db->getErrorMsg()) {
				throw new Exception($db->getErrorMsg());
			}
		} catch (Exception $e) {
			JLog::add('Exception: '.$e->getMessage(), JLog::ERROR, COM_ROUGHCHECK);
			Throw new Exception($e->getMessage());
			return false;
		}

		// Merge any additional options in the XML definition.
		$options = array_merge(parent::getOptions(), $options);

		return $options;
	}
}
