<?php
/**
* Risk detail form field
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: riskdetails.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

JFormHelper::loadFieldClass('list');

/**
* Risk detail form field
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class JFormFieldRiskdetails extends JFormFieldList
{
	/**
	 * The form field type.
	 * @var		string
	 */
	protected $type = 'Riskdetails';

	/**
	* Method to get the field options.
	*
	* @return	array	The field option objects.
	*/
	protected function getOptions()
	{
		// Initialise variables.
		$options = array();

		try {
			$db		= JFactory::getDbo();
			$query	= $db->getQuery(true);

			$query->select('a.id AS value, a.title AS text');
			$query->from('#__roughcheck_risk_details AS a');
			$query->where('a.state = 1');

			$query->join(
				'INNER',
				'#__roughcheck_risk_profiles AS rp'
				. ' ON rp.id = a.risk_profile_id'
			);

			// Filter on the Roughcheck risk profile
			$id = $this->form->getValue('check_id', 0);
			if ($id) {
				$query->join(
					'INNER',
					'#__roughcheck_checks AS c'
					.' ON c.id = ' . $db->quote($id)
					.' AND c.risk_profile_id = rp.id'
				);
			} else {
				$id = $this->form->getValue('question_id', 0);
				if ($id) {
					$query->join(
						'INNER',
						'#__roughcheck_check_questions AS q'
						.' ON q.id = ' . $db->quote($id)
					);
					$query->join(
						'INNER',
						'#__roughcheck_checks AS c'
						.' ON c.id = q.check_id'
						.' AND c.risk_profile_id = rp.id'
					);
				}
			}

			$query->order('a.ordering ASC');

			// Get the options.
			$db->setQuery($query);

			$options = $db->loadObjectList();
			if ($db->getErrorMsg()) {
				throw new Exception($db->getErrorMsg());
			}
		} catch (Exception $e) {
			JLog::add('Exception: '.$e->getMessage(), JLog::ERROR, COM_ROUGHCHECK);
			$this->setError($e->getMessage());
			return false;
		}

		// Merge any additional options in the XML definition.
		$options = array_merge(parent::getOptions(), $options);

		return $options;
	}
}
