CREATE TABLE "#__roughcheck_checks" (
	"id" serial NOT NULL,
	"asset_id" integer NOT NULL DEFAULT 0,
	"ordering" integer NOT NULL DEFAULT 0,
	"state" integer NOT NULL DEFAULT 0,
	"version" integer NOT NULL DEFAULT 0,
	"catid" integer NOT NULL DEFAULT 0,
	"sectionid" integer NOT NULL DEFAULT 0,
	"risk_profile_id" integer NOT NULL DEFAULT 0,
	"reward_profile_id" integer NOT NULL DEFAULT 0,
	"created" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created_by" integer NOT NULL DEFAULT 0,
	"modified" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"modified_by" integer NOT NULL DEFAULT 0,
	"checked_out" integer NOT NULL DEFAULT 0,
	"checked_out_time" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_up" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_down" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"access" integer NOT NULL DEFAULT 0,
	"hits" integer NOT NULL DEFAULT 0,
	"featured" smallint NOT NULL DEFAULT 0,
	"title" character varying(255) NOT NULL DEFAULT '',
	"alias" character varying(255) NOT NULL DEFAULT '',
	"language" character varying(7) NOT NULL DEFAULT '',
	"xreference" character varying(36) NOT NULL DEFAULT '',
	"params" text,
	"description" text,
	"metakey" text,
	"metadesc" text,
	"metadata" text,
	"image_fulltext" character varying(150) NULL,
	"float_fulltext" character varying(5) NULL,
	"image_fulltext_alt" character varying(100) NULL,
	"image_fulltext_caption" character varying(100) NULL,
	CONSTRAINT "#__roughcheck_checks_pkey" PRIMARY KEY ("id")
);

CREATE TABLE IF NOT EXISTS "#__roughcheck_risk_profiles" (
	"id" serial NOT NULL,
	"ordering" integer NOT NULL,
	"state" integer NOT NULL,
	"checked_out" integer NOT NULL,
	"checked_out_time" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_up" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_down" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created_by" integer NOT NULL DEFAULT 0,
	"modified" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"modified_by" integer NOT NULL DEFAULT 0,
	"title" character varying(100) NOT NULL,
	"report_title" character varying(100) NOT NULL,
	"unknown" character varying(50) NOT NULL DEFAULT '',
	"unknownimage" character varying(150) NOT NULL DEFAULT '',
	"positive" character varying(50) NOT NULL DEFAULT '',
	"positiveimage" character varying(150) NOT NULL DEFAULT '',
	"negative" character varying(50) NOT NULL DEFAULT '',
	"negativeimage" character varying(150) NOT NULL DEFAULT '',
	"language" character varying(7) NOT NULL DEFAULT '',
	"description" text,
	CONSTRAINT "#__roughcheck_risk_profiles_pkey" PRIMARY KEY ("id")
);

CREATE TABLE IF NOT EXISTS "#__roughcheck_risk_details" (
	"id" serial NOT NULL,
	"risk_profile_id" integer NOT NULL,
	"ordering" integer NOT NULL,
	"state" integer NOT NULL,
	"checked_out" integer NOT NULL,
	"checked_out_time" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_up" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_down" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created_by" integer NOT NULL DEFAULT 0,
	"modified" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"modified_by" integer NOT NULL DEFAULT 0,
	"title" character varying(100) NOT NULL,
	"image" character varying(150) NOT NULL DEFAULT '',
	"description" text,
	CONSTRAINT "#__roughcheck_risk_details_pkey" PRIMARY KEY ("id"),
	CONSTRAINT "#__roughcheck_risk_details_fk_profile"
		FOREIGN KEY ("risk_profile_id")
		REFERENCES "#__roughcheck_risk_profiles" (id)
		ON DELETE CASCADE
);

CREATE TABLE IF NOT EXISTS "#__roughcheck_reward_profiles" (
	"id" serial NOT NULL,
	"ordering" integer NOT NULL,
	"state" integer NOT NULL,
	"checked_out" integer NOT NULL,
	"checked_out_time" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_up" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_down" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created_by" integer NOT NULL DEFAULT 0,
	"modified" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"modified_by" integer NOT NULL DEFAULT 0,
	"title" character varying(100) NOT NULL,
	"report_title" character varying(100) NOT NULL,
	"unknown" character varying(50) NOT NULL DEFAULT '',
	"unknownimage" character varying(150) NOT NULL DEFAULT '',
	"positive" character varying(50) NOT NULL DEFAULT '',
	"positiveimage" character varying(150) NOT NULL DEFAULT '',
	"negative" character varying(50) NOT NULL DEFAULT '',
	"negativeimage" character varying(150) NOT NULL DEFAULT '',
	"language" character varying(7) NOT NULL DEFAULT '',
	"description" text,
	CONSTRAINT "#__roughcheck_reward_profiles_pkey" PRIMARY KEY ("id")
);

CREATE TABLE IF NOT EXISTS "#__roughcheck_reward_details" (
	"id" serial NOT NULL,
	"reward_profile_id" integer NOT NULL,
	"ordering" integer NOT NULL,
	"state" integer NOT NULL,
	"checked_out" integer NOT NULL,
	"checked_out_time" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_up" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_down" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created_by" integer NOT NULL DEFAULT 0,
	"modified" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"modified_by" integer NOT NULL DEFAULT 0,
	"title" character varying(100) NOT NULL,
	"image" character varying(150) NOT NULL DEFAULT '',
	"description" text,
	CONSTRAINT "#__roughcheck_reward_details_pkey" PRIMARY KEY ("id"),
	CONSTRAINT "#__roughcheck_reward_details_fk_profile"
		FOREIGN KEY ("reward_profile_id")
		REFERENCES "#__roughcheck_reward_profiles" (id)
		ON DELETE CASCADE
);

CREATE TABLE IF NOT EXISTS "#__roughcheck_help_types" (
	"id" serial NOT NULL,
	"ordering" integer NOT NULL,
	"state" integer NOT NULL,
	"checked_out" integer NOT NULL,
	"checked_out_time" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_up" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_down" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created_by" integer NOT NULL DEFAULT 0,
	"modified" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"modified_by" integer NOT NULL DEFAULT 0,
	"title" character varying(100) NOT NULL,
	"language" character varying(7) NOT NULL DEFAULT '',
	"description" text,
	CONSTRAINT "#__roughcheck_help_types_pkey" PRIMARY KEY ("id")
);

CREATE TABLE IF NOT EXISTS "#__roughcheck_check_topics" (
	"id" serial NOT NULL,
	"check_id" integer NOT NULL,
	"ordering" integer NOT NULL,
	"state" integer NOT NULL,
	"created" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created_by" integer NOT NULL DEFAULT 0,
	"modified" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"modified_by" integer NOT NULL DEFAULT 0,
	"checked_out" integer NOT NULL,
	"checked_out_time" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_up" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_down" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"title" character varying(100) NOT NULL,
	"description" text,
	CONSTRAINT "#__roughcheck_check_topics_pkey" PRIMARY KEY ("id"),
	CONSTRAINT "#__roughcheck_check_topics_fk_check"
		FOREIGN KEY ("check_id")
		REFERENCES "#__roughcheck_checks" (id)
		ON DELETE CASCADE
);

CREATE TABLE IF NOT EXISTS "#__roughcheck_check_questions" (
	"id" serial NOT NULL,
	"check_id" integer NOT NULL,
	"topic_id" integer NOT NULL,
	"ordering" integer NOT NULL,
	"state" integer NOT NULL,
	"checked_out" integer NOT NULL,
	"checked_out_time" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_up" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_down" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created_by" integer NOT NULL DEFAULT 0,
	"modified" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"modified_by" integer NOT NULL DEFAULT 0,
	"risk_detail_id" integer NOT NULL,
	"risk_trigger" boolean NOT NULL DEFAULT false,
	"reward_detail_id" integer NOT NULL,
	"reward_trigger" boolean NOT NULL DEFAULT true,
	"title" character varying(100) NOT NULL,
	"description_yes" text,
	"description_no" text,
	CONSTRAINT "#__roughcheck_check_questions_pkey" PRIMARY KEY ("id"),
	CONSTRAINT "#__roughcheck_checks_questions_fk_check"
		FOREIGN KEY ("check_id")
		REFERENCES "#__roughcheck_checks" (id)
		ON DELETE CASCADE,
	CONSTRAINT "#__roughcheck_checks_questions_fk_topic"
		FOREIGN KEY ("topic_id")
		REFERENCES "#__roughcheck_check_topics" (id)
		ON DELETE CASCADE,
	CONSTRAINT "#__roughcheck_checks_questions_fk_risk_details"
		FOREIGN KEY ("risk_detail_id")
		REFERENCES "#__roughcheck_risk_details" (id)
		ON DELETE CASCADE,
	CONSTRAINT "#__roughcheck_checks_questions_fk_reward_details"
		FOREIGN KEY ("reward_detail_id")
		REFERENCES "#__roughcheck_reward_details" (id)
		ON DELETE CASCADE
);

CREATE TABLE IF NOT EXISTS "#__roughcheck_question_help" (
	"id" serial NOT NULL,
	"question_id" integer NOT NULL,
	"help_type_id" integer NOT NULL,
	"ordering" integer NOT NULL,
	"state" integer NOT NULL,
	"checked_out" integer NOT NULL,
	"checked_out_time" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_up" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_down" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created_by" integer NOT NULL DEFAULT 0,
	"modified" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"modified_by" integer NOT NULL DEFAULT 0,
	"title" character varying(100) NOT NULL,
	"description" text,
	CONSTRAINT "#__roughcheck_question_help_pkey" PRIMARY KEY ("id"),
	CONSTRAINT "#__roughcheck_question_help_fk_check_question"
		FOREIGN KEY ("question_id")
		REFERENCES "#__roughcheck_check_questions" (id)
		ON DELETE CASCADE,
	CONSTRAINT "#__roughcheck_check_help_fk_help_types"
		FOREIGN KEY ("help_type_id")
		REFERENCES "#__roughcheck_help_types" (id)
		ON DELETE CASCADE
);

CREATE TABLE IF NOT EXISTS "#__roughcheck_assessments" (
	"id" serial NOT NULL,
	"asset_id" integer NOT NULL DEFAULT 0,
	"user_id" integer NOT NULL,
	"check_id" integer NOT NULL,
	"state" integer NOT NULL,
	"checked_out" integer NOT NULL,
	"checked_out_time" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_up" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"publish_down" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created_by" integer NOT NULL DEFAULT 0,
	"modified" timestamp NOT NULL DEFAULT '1970-01-01 00:00:00',
	"modified_by" integer NOT NULL DEFAULT 0,
	"date_completed" timestamp NULL,
	"access" integer NOT NULL DEFAULT 0,
	"title" character varying(100) NOT NULL,
	"xreference" character varying(36) NOT NULL DEFAULT '',
	"description" text NOT NULL,
	CONSTRAINT "#__roughcheck_assessments_pkey" PRIMARY KEY ("id"),
	CONSTRAINT "#__roughcheck_assessments_fk_check"
		FOREIGN KEY ("check_id")
		REFERENCES "#__roughcheck_checks" (id)
		ON DELETE CASCADE
);

CREATE TABLE IF NOT EXISTS "#__roughcheck_assessment_responses" (
	"id" serial NOT NULL,
	"assessment_id" integer NOT NULL,
	"question_id" integer NOT NULL,
	"risk_detail_id" integer NULL,
	"reward_detail_id" integer NULL,
	"checked_out" integer NOT NULL,
	"checked_out_time" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"created_by" integer NOT NULL DEFAULT 0,
	"modified" timestamp without time zone DEFAULT '1970-01-01 00:00:00' NOT NULL,
	"modified_by" integer NOT NULL DEFAULT 0,
	"response" boolean NULL,
	"description" text,
	CONSTRAINT "#__roughcheck_assessment_responses_pkey" PRIMARY KEY ("id"),
	CONSTRAINT "#__roughcheck_assessment_responses_fk_assessment"
		FOREIGN KEY ("assessment_id")
		REFERENCES "#__roughcheck_assessments" (id)
		ON DELETE CASCADE,
	CONSTRAINT "#__roughcheck_assessment_responses_fk_risk_details"
		FOREIGN KEY ("risk_detail_id")
		REFERENCES "#__roughcheck_risk_details" (id)
		ON DELETE CASCADE,
	CONSTRAINT "#__roughcheck_assessment_responses_fk_reward_details"
		FOREIGN KEY ("reward_detail_id")
		REFERENCES "#__roughcheck_reward_details" (id)
		ON DELETE CASCADE,
	CONSTRAINT "#__roughcheck_assessment_responses_fk_question"
		FOREIGN KEY ("question_id")
		REFERENCES "#__roughcheck_check_questions" (id)
		ON DELETE CASCADE,
	CONSTRAINT "#__roughcheck_assessment_responses_idx_assessment_question" UNIQUE ("assessment_id", "question_id")
);
CREATE INDEX "#__roughcheck_assessment_responses_assessment_id_question_id"
ON "#__roughcheck_assessment_responses" ("assessment_id", "question_id");
