<?php
/**
* Assessment questions view
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: view.html.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Assessment questions view class
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckViewAssessmentquestions extends JViewLegacy
{
	protected $topic;
	protected $assessment;
	protected $prev;
	protected $next;
	protected $items;
	protected $riskprofile;
	protected $risks;
	protected $rewardprofile;
	protected $rewards;
	protected $state;
	protected $sidebar;

	/**
	* Display method for assessment questions
	*
	* @param string $tpl Template to display
	*
	* @return void
	**/
	function display($tpl = null)
	{
		// Get data from the model
		$this->assessment = $this->get('Assessment');
		$this->topic = $this->get('Topic');
		$this->prev = $this->get('PreviousTopic');
		$this->next = $this->get('NextTopic');
		$this->topic = $this->get('Topic');
		$this->items = $this->get('Items');
		$this->riskprofile = $this->get('Riskprofile');
		$this->risks = $this->get('Risks');
		$this->rewardprofile = $this->get('Rewardprofile');
		$this->rewards = $this->get('Rewards');
		$this->state = $this->get('State');

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JLog::add(__METHOD__ . '()', JLog::ERROR, COM_ROUGHCHECK);
			foreach ($errors as $error) {
				JLog::add($error, JLog::ERROR, COM_ROUGHCHECK);
			}
			throw new Exception('An error occured');
			return false;
		}

		$this->addToolBar();
		$this->sidebar = JHtmlSidebar::render();

		parent::display($tpl);
	}

	/**
	* Setting the toolbar
	*
	* @return void
	*/
	protected function addToolbar()
	{

		JToolBarHelper::title(
			JText::_('COM_ROUGHCHECK_ASSESSMENT_HEADING'), 'article'
		);

		$state	= $this->get('State');
		$canDo	= RoughcheckHelper::getActions($state->get('filter.category_id'));
		$user	= JFactory::getUser();

		if ($canDo->get('core.edit')) {
			JToolBarHelper::custom(
				'assessmentquestions.next',
				'apply',
				'apply',
				'COM_ROUGHCHECK_SUBMIT_NEXT',
				false
			);
			JToolBarHelper::divider();
			if ($this->prev) {
				JToolBarHelper::custom(
					'assessmentquestions.prev',
					'edit',
					'edit',
					'COM_ROUGHCHECK_SUBMIT_PREVIOUS',
					false
				);
			}
		}

		JToolBarHelper::custom(
			'assessmentquestions.assessmentreport',
			'preview',
			'preview',
			'COM_ROUGHCHECK_HEADING_REPORT',
			false
		);
		JToolBarHelper::custom(
			'assessmentquestions.assessment',
			'edit',
			'edit',
			'COM_ROUGHCHECK_HEADING_ASSESSMENT',
			false
		);
		JToolBarHelper::cancel(
			'assessment.cancel', 'JTOOLBAR_CLOSE'
		);
		JToolBarHelper::divider();

		JToolBarHelper::help('assessments', true);

		JHtmlSidebar::setAction('index.php?option=com_roughcheck&view=checkhelps');

		//JHtmlSidebar::addFilter(
		//	JText::_('JOPTION_SELECT_PUBLISHED'),
		//	'filter_published',
		//	JHtml::_('select.options', JHtml::_('jgrid.publishedOptions'), 'value', 'text', $this->state->get('filter.published'), true)
		//);

	}

//	/**
//	* Returns an array of fields the table can be sorted by
//	*
//	* @return  array  Array containing the field name to sort by as the key and display text as value
//	*/
//	protected function getSortFields()
//	{
//		return array(
//			'a.ordering' => JText::_('JGRID_HEADING_ORDERING'),
//			'a.state' => JText::_('JSTATUS'),
//			'a.title' => JText::_('JGLOBAL_TITLE'),
//			'a.id' => JText::_('JGRID_HEADING_ID'),
//		);
//	}
}
