<?php
/**
* Checkhelps view
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: view.html.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Checkhelps view class
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckViewCheckhelps extends JViewLegacy
{
	protected $items;
	protected $check;
	protected $question;
	protected $state;
	protected $pagination;
	protected $sidebar;

	/**
	* Display method for Checks
	*
	* @param string $tpl Template to display
	*
	* @return void
	**/
	function display($tpl = null)
	{
		// Get data from the model
		$this->items = $this->get('Items');
		$this->check = $this->get('Check');
		$this->question = $this->get('Question');
		$this->state = $this->get('State');
		$this->pagination = $this->get('Pagination');

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JLog::add(__METHOD__ . '()', JLog::ERROR, COM_ROUGHCHECK);
			foreach ($errors as $error) {
				JLog::add($error, JLog::ERROR, COM_ROUGHCHECK);
			}
			throw new Exception('An error occured');
			return false;
		}

		$this->addToolbar();
		$this->sidebar = JHtmlSidebar::render();

		parent::display($tpl);
	}

	/**
	* Setting the toolbar
	*
	* @return void
	*/
	protected function addToolbar()
	{

		JToolBarHelper::title(
			JText::_('COM_ROUGHCHECK_CHECKHELPS_HEADING'),
			'article'
		);

		$state	= $this->get('State');
		$canDo	= RoughcheckHelper::getActions();
		$user	= JFactory::getUser();

		if ($canDo->get('core.create')) {
			JToolBarHelper::addNew('checkhelp.add', 'JTOOLBAR_NEW');
		}
		if ($canDo->get('core.edit')) {
			JToolBarHelper::editList('checkhelp.edit', 'JTOOLBAR_EDIT');
			JToolBarHelper::divider();
		}
		if ($canDo->get('core.edit.state')) {
			JToolBarHelper::publish('checkhelps.publish', 'JTOOLBAR_PUBLISH', true);
			JToolBarHelper::unpublish(
				'checkhelps.unpublish', 'JTOOLBAR_UNPUBLISH', true
			);

			JToolBarHelper::divider();
			JToolBarHelper::archiveList('checkhelps.archive');
			JToolBarHelper::checkin('checkhelps.checkin');
		}

		if ($state->get('filter.state') == -2 && $canDo->get('core.delete')) {
			JToolBarHelper::deleteList(
				'', 'checkhelps.delete', 'JTOOLBAR_EMPTY_TRASH'
			);
			JToolBarHelper::divider();
		} else if ($canDo->get('core.edit.state')) {
			JToolBarHelper::trash('checkhelps.trash');
			JToolBarHelper::divider();
		}

		$route = 'index.php?option=com_roughcheck';
		$route .= '&view=checkquestions';
		$route .= '&id=' . $this->question->check_id;
		$href = JRoute::_($route);
		JToolBarHelper::back('JTOOLBAR_BACK', $href);
		JToolBarHelper::divider();

		JToolBarHelper::help('helptypes', true);

		JHtmlSidebar::setAction('index.php?option=com_roughcheck&view=checkhelps');

		JHtmlSidebar::addFilter(
			JText::_('JOPTION_SELECT_PUBLISHED'),
			'filter_published',
			JHtml::_('select.options', JHtml::_('jgrid.publishedOptions'), 'value', 'text', $this->state->get('filter.published'), true)
		);

	}

	/**
	* Returns an array of fields the table can be sorted by
	*
	* @return  array  Array containing the field name to sort by as the key and display text as value
	*/
	protected function getSortFields()
	{
		return array(
			'a.title' => JText::_('JGLOBAL_TITLE'),
			'a.ordering' => JText::_('JGRID_HEADING_ORDERING'),
			'a.state' => JText::_('JSTATUS'),
			'a.id' => JText::_('JGRID_HEADING_ID'),
		);
	}
}
