<?php
/**
* Check topic view
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Check topic view class
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckViewChecktopic extends JViewLegacy
{
	protected $parent;
	protected $form;
	protected $item;
	protected $state;

	/**
	* Display method for Check
	*
	* @param string $tpl Template to display
	*
	* @return void
	**/
	function display($tpl = null)
	{
		$this->parent = $this->get('Parent');
		$this->form = $this->get('Form');
		$this->item = $this->get('Item');
		$this->state = $this->get('State');
		$this->canDo = RoughcheckHelper::getActions(
			$this->state->get('filter.category_id')
		);

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JLog::add(__METHOD__ . '()', JLog::ERROR, COM_ROUGHCHECK);
			foreach ($errors as $error) {
				JLog::add($error, JLog::ERROR, COM_ROUGHCHECK);
			}
			return false;
		}

		// Set the toolbar
		$this->addToolBar();

		// Display the template
		parent::display($tpl);

		// Set the document
		$this->setDocument();

	}

	/**
	* Setting the toolbar
	*
	* @return void
	*/
	protected function addToolBar() 
	{
		JFactory::getApplication()->input->set('hidemainmenu', true);
		$isNew = ($this->item->id == 0);
		JToolBarHelper::title(
			$isNew
			? JText::sprintf(
				'COM_ROUGHCHECK_CHECKTOPIC_HEADING',
				$this->parent->title
			)
			: JText::_('COM_ROUGHCHECK_CHECKTOPIC_EDIT'),
			$isNew
			? 'article-add'
			: 'article-edit'
		);
		JToolBarHelper::apply('checktopic.apply');
		JToolBarHelper::save('checktopic.save');
		JToolBarHelper::cancel(
			'checktopic.cancel', $isNew ? 'JTOOLBAR_CANCEL' : 'JTOOLBAR_CLOSE'
		);

		JToolBarHelper::divider();
		JToolBarHelper::help('index', true);
	}

	/**
	* Setting the document
	*
	* @return void
	*/
	protected function setDocument() 
	{
		$isNew = ($this->item->id < 1);
		$document = JFactory::getDocument();
		$document->setTitle(
			$isNew 
			? JText::_('COM_ROUGHCHECK_CHECKTOPIC_CREATING')
			: JText::_('COM_ROUGHCHECK_CHECKTOPIC_EDITING')
		);
		$document->addScript(
			JURI::root()
			. "/administrator/components/com_roughcheck/views/submitbutton.js"
		);
		JText::script('COM_ROUGHCHECK_ERROR_FORM_UNACCEPTABLE');

	}

}
