<?php
/**
* Assessment view
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: view.html.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Assessment view class
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckViewAssessment extends JViewLegacy
{
	protected $form;
	protected $check;
	protected $state;
	protected $params;

	/**
	* Display method for Assessmnet
	*
	* @param string $tpl Template to display
	*
	* @return void
	**/
	function display($tpl = null)
	{
		$app = JFactory::getApplication();
		try {
			$this->form = $this->get('Form');
			$this->check = $this->get('Check');
			$this->state = $this->get('State');
			// Get the component params
			$this->params = $this->state->get('params');
			// Merge with item params
			$item_registry = new JRegistry;
			// check->params is only a string here
			$item_registry->loadString($this->check->params);
			$this->params->merge($item_registry);
			// Merge with app/menu params
			$app = JFactory::getApplication();
			$app_params = $app->getParams(COM_ROUGHCHECK);
			$app_registry = new JRegistry;
			$app_registry->loadString($app_params);
			$this->params->merge($app_registry);
		}
		catch (Exception $e)
		{
			JLog::add(
				'Unable to get data for view: '.$e->getMessage(),
				JLog::ERROR, COM_ROUGHCHECK
			);
			$this->setError($e->getMessage());
			return false;
		}

		// Check authorization unless asking for xref
		if ($this->getLayout() != 'xref') {
			$record = new stdClass;
			$record->id = $this->form->getValue('id');
			if (!$record->id) {
				$record->id = 0;
			}
			// Use Model (edit) security
			$model = $this->getModel();
			if (!$model->canEditState($record)) {
				$route = 'index.php?option=com_roughcheck';
				$route .= '&view=assessment';
				$route .= '&layout=xref';
				$app = JFactory::getApplication();
				$tmpl = $app->input->getCmd('tmpl');
				if ($tmpl) {
					$route .= '&tmpl=' . $tmpl;
				}
				$app = JFactory::getApplication();
				$app->redirect(
					JRoute::_($route, false),
					JText::_('COM_ROUGHCHECK_ASSESSMENT_AUTHORIZATION_REQUIRED')
				);
				return false;
			}
		}

		// Display the template
		parent::display($tpl);
	}

}
