<?php
/**
* View to display Roughcheck check
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @version    SVN: $Id: view.html.php 320 2014-09-04 12:28:43Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

/**
* Check view class
*
* PHP version 5.4
*
* @category   Joomla_Component
* @package    Roughcheck
* @subpackage Com_Roughcheck
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2012-2014 Persistent Objects Ltd
* @license    GNU General Public License version 3 or later; see LICENSE.txt
*
* @link       http://p-o.co.uk/
*/
class RoughcheckViewCheck extends JViewLegacy
{
	protected $form;
	protected $item;
	protected $state;
	protected $params;

	/**
	* Display method for Check
	*
	* @param string $tpl Template to display
	*
	* @return void
	**/
	function display($tpl = null)
	{
		$this->form = $this->get('Form');
		$this->item = $this->get('Item');
		if (!$this->item) {
			return false;
		}
		$this->state = $this->get('State');
		// Get the component params
		$this->params = $this->state->get('params');
		// Merge with item params
		$item_registry = new JRegistry;
		$item_registry->loadArray($this->item->params);
		$this->params->merge($item_registry);
		// Merge with app/menu params
		$app = JFactory::getApplication();
		$app_params = $app->getParams(COM_ROUGHCHECK);
		$app_registry = new JRegistry;
		$app_registry->loadString($app_params);
		$this->params->merge($app_registry);

		$this->canDo = RoughcheckHelper::getActions(
			0, $this->item->id
		);

		if (count($errors = $this->get('Errors'))) {
			JLog::add(__METHOD__ . '()', JLog::ERROR, COM_ROUGHCHECK);
			foreach ($errors as $error) {
				JLog::add($error, JLog::ERROR, COM_ROUGHCHECK);
			}
			throw new Exception('An error occured');
			return false;
		}

		// Check whether access level allows access.
		$user	= JFactory::getUser();
		$groups	= $user->getAuthorisedViewLevels();
		if (property_exists($this->item, 'access')) {
            if (!in_array($this->item->access, $groups)) {
                JLog::add(__METHOD__ . '()', JLog::ERROR, COM_ROUGHCHECK);
                JLog::add('JERROR_ALERTNOAUTHOR', JLog::ERROR, COM_ROUGHCHECK);
                throw new Exception(JText::_('JERROR_ALERTNOAUTHOR'));
                return false;
            }
		} else {
            JLog::add(__METHOD__ . '()', JLog::ERROR, COM_ROUGHCHECK);
            JLog::add('JERROR_ALERTNOAUTHOR2', JLog::ERROR, COM_ROUGHCHECK);
            throw new Exception(JText::_('JERROR_ALERTNOAUTHOR'));
            return false;
		}

		// Display the template
		parent::display($tpl);

	}

}
